<!-- 
  Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
  Use of this source code is governed by a BSD-style license that can be
  found in the LICENSE file.
-->

<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0">
  <title>NvAvatar - Nuiverse UI</title>
  <link rel="stylesheet" href="/build/nuiverse-ui.css">
  <script type="module" src="/build/nuiverse-ui.esm.js"></script>
  <script nomodule src="/build/nuiverse-ui.js"></script>

</head>
<body>
  <div class="demo-component">

    <div class="area-component">
      <h1>Lists</h1>
      <h3>Default</h3>
      <nv-list>
        <nv-list-item text-title="One text"></nv-list-item>
        <nv-list-item text-title="Another text"></nv-list-item>
        <nv-list-item text-title="Some more text"></nv-list-item>
        <nv-list-item text-title="Even more text"></nv-list-item>
      </nv-list>
    </div>

    <div class="area-component">
      <h3>List with header</h3>
      <nv-list>
        <nv-list-group>
          <nv-list-header>Group 1</nv-list-header>
          <nv-list-item text-title="Text One"></nv-list-item>
          <nv-list-item text-title="Text two"></nv-list-item>
          <nv-list-item text-title="Text three"></nv-list-item>
        </nv-list-group>
        <nv-list-group>
          <nv-list-header>Group 2</nv-list-header>
          <nv-list-item text-title="A text"></nv-list-item>
          <nv-list-item text-title="Hi! I'm a text from a group 2 :)"></nv-list-item>
        </nv-list-group>
      </nv-list>
    </div>

    <div class="area-component">
      <h3>List with subtitle</h3>
      <nv-list>
        <nv-list-group>
          <nv-list-header>Group 1</nv-list-header>
          <nv-list-item text-title="Text One" text-subtitle="Subtitle text"></nv-list-item>
          <nv-list-item text-title="Text two" text-subtitle="Subtitle text"></nv-list-item>
          <nv-list-item text-title="Text three" text-subtitle="Subtitle text"></nv-list-item>
        </nv-list-group>

        <nv-list-group>
          <nv-list-header>Group 2</nv-list-header>
          <nv-list-item text-title="A text"></nv-list-item>
          <nv-list-item text-title="Hi! I'm a text from a group 2 :)"></nv-list-item>
        </nv-list-group>
      </nv-list>
    </div>

    <div class="area-component">
      <h3>List with additional content or object</h3>
      <nv-list>
        <nv-list-item text-title="Alarm 1">
          <span slot="end">4:34AM</span>
        </nv-list-item>
        <nv-list-item text-title="Alarm 2">
          <span slot="end">8:30AM</span>
        </nv-list-item>
        <nv-list-item text-title="Alarm 3">
          <nv-switch slot="end"></nv-switch>
        </nv-list-item>
      </nv-list>
    </div>

    <div class="area-component">
      <h3>List with icon</h3>
      <nv-list>
        <nv-list-item text-title="Menu 1">
          <img src="/assets/alarm-clock.svg" slot="start"/>
        </nv-list-item>
        <nv-list-item text-title="Menu 2">
          <img src="/assets/wifi-4.svg" slot="end"/>
        </nv-list-item>
      </nv-list>
    </div>

    <div class="area-component">
      <h3>List user</h3>
      <nv-list users>
        <nv-list-group>
          <nv-list-header>A</nv-list-header>
          <nv-list-item first-name="Anakin" last-name="Skywalker" company="Star Wars">
            <nv-avatar slot="avatar" src="/assets/avatars/anakin.jpg"></nv-avatar>
          </nv-list-item>
        </nv-list-group>

        <nv-list-group>
          <nv-list-header>C</nv-list-header>
          <nv-list-item first-name="C3PO" company="Star Wars">
            <nv-avatar slot="avatar" src="/assets/avatars/c3po.jpg"></nv-avatar>
          </nv-list-item>
          <nv-list-item first-name="Cad" last-name="bane" company="Star Wars">
              <nv-avatar slot="avatar" src="/assets/avatars/cad-bane.jpg"></nv-avatar>
          </nv-list-item>
          <nv-list-item first-name="Captain" last-name="Rex" company="Star Wars">
            <nv-avatar slot="avatar" src="/assets/avatars/captain-rex.jpg"></nv-avatar>
          </nv-list-item>
          <nv-list-item first-name="Commander" last-name="Cody" company="Star Wars">
              <nv-avatar slot="avatar" src="/assets/avatars/commander-cody.jpg"></nv-avatar>
          </nv-list-item>
          <nv-list-item first-name="Conde" last-name="Dooku" company="Star Wars">
            <nv-avatar slot="avatar" src="/assets/avatars/conde-dooku.jpg"></nv-avatar>
          </nv-list-item>
        </nv-list-group>

        <nv-list-group>
          <nv-list-header>M</nv-list-header>
          <nv-list-item first-name="Mace" last-name="Windu" company="Star Wars">
            <nv-avatar slot="avatar" src="/assets/avatars/mace_windu.jpg"></nv-avatar>
          </nv-list-item>
        </nv-list-group>

        <nv-list-group>
          <nv-list-header>P</nv-list-header>
          <nv-list-item first-name="Padme" company="Star Wars">
            <nv-avatar slot="avatar" src="/assets/avatars/c3po.jpg"></nv-avatar>
          </nv-list-item>
        </nv-list-group>

        <nv-list-group>
          <nv-list-header>O</nv-list-header>
          <nv-list-item first-name="Obi-Wan" last-name="Kenobi" company="Star Wars">
            <nv-avatar slot="avatar" src="/assets/avatars/obi-wan-kenobi.jpeg"></nv-avatar>
          </nv-list-item>
        </nv-list-group>

        <nv-list-group>
          <nv-list-header>P</nv-list-header>
          <nv-list-item first-name="Padme" company="Star Wars">
            <nv-avatar slot="avatar" src="/assets/avatars/padme.jpg"></nv-avatar>
          </nv-list-item>
        </nv-list-group>

        <nv-list-group>
          <nv-list-header>Y</nv-list-header>
          <nv-list-item first-name="Yoda" company="Star Wars">
            <nv-avatar slot="avatar" src="/assets/avatars/yoda.jpg"></nv-avatar>
          </nv-list-item>
        </nv-list-group>
      </nv-list>
    </div>

    <div class="area-component">
      <h3>List user with Sticky header</h3>
      <div style="height: 300px; overflow-y: auto;">
        <nv-list users sticky-header>
          <nv-list-group>
            <nv-list-header>A</nv-list-header>
            <nv-list-item first-name="Anakin" last-name="Skywalker" company="Star Wars">
              <nv-avatar slot="avatar" src="/assets/avatars/anakin.jpg"></nv-avatar>
            </nv-list-item>
          </nv-list-group>

          <nv-list-group>
            <nv-list-header>C</nv-list-header>
            <nv-list-item first-name="C3PO" company="Star Wars">
              <nv-avatar slot="avatar" src="/assets/avatars/c3po.jpg"></nv-avatar>
            </nv-list-item>
            <nv-list-item first-name="Cad" last-name="bane" company="Star Wars">
                <nv-avatar slot="avatar" src="/assets/avatars/cad-bane.jpg"></nv-avatar>
            </nv-list-item>
            <nv-list-item first-name="Captain" last-name="Rex" company="Star Wars">
              <nv-avatar slot="avatar" src="/assets/avatars/captain-rex.jpg"></nv-avatar>
            </nv-list-item>
            <nv-list-item first-name="Commander" last-name="Cody" company="Star Wars">
                <nv-avatar slot="avatar" src="/assets/avatars/commander-cody.jpg"></nv-avatar>
            </nv-list-item>
            <nv-list-item first-name="Conde" last-name="Dooku" company="Star Wars">
              <nv-avatar slot="avatar" src="/assets/avatars/conde-dooku.jpg"></nv-avatar>
            </nv-list-item>
          </nv-list-group>

          <nv-list-group>
            <nv-list-header>M</nv-list-header>
            <nv-list-item first-name="Mace" last-name="Windu" company="Star Wars">
              <nv-avatar slot="avatar" src="/assets/avatars/mace_windu.jpg"></nv-avatar>
            </nv-list-item>
          </nv-list-group>

          <nv-list-group>
            <nv-list-header>P</nv-list-header>
            <nv-list-item first-name="Padme" company="Star Wars">
              <nv-avatar slot="avatar" src="/assets/avatars/c3po.jpg"></nv-avatar>
            </nv-list-item>
          </nv-list-group>

          <nv-list-group>
            <nv-list-header>O</nv-list-header>
            <nv-list-item first-name="Obi-Wan" last-name="Kenobi" company="Star Wars">
              <nv-avatar slot="avatar" src="/assets/avatars/obi-wan-kenobi.jpeg"></nv-avatar>
            </nv-list-item>
          </nv-list-group>

          <nv-list-group>
            <nv-list-header>P</nv-list-header>
            <nv-list-item first-name="Padme" company="Star Wars">
              <nv-avatar slot="avatar" src="/assets/avatars/padme.jpg"></nv-avatar>
            </nv-list-item>
          </nv-list-group>

          <nv-list-group>
            <nv-list-header>Y</nv-list-header>
            <nv-list-item first-name="Yoda" company="Star Wars">
              <nv-avatar slot="avatar" src="/assets/avatars/yoda.jpg"></nv-avatar>
            </nv-list-item>
          </nv-list-group>
        </nv-list>
      </div>
    </div>


    <div class="area-component">
        <h3>Email list</h3>
        <nv-list email>
          <nv-list-group>
            <nv-list-header>Today</nv-list-header>
            <nv-list-item
              unread
              first-name="Will"
              last-name="Liu"
              text-subject="Send photos please!"
              text-message="Hello! You can send me your photos please? I need this photos for create a best..."
              text-stamp="now"
            >
            </nv-list-item>
            <nv-list-item
              unread
              first-name="Marcelo"
              last-name="Martins"
              text-subject="Re: The new Nuiverse version"
              text-message="Check this suggestion, this is a greate feature for next Nuiverse version."
              text-stamp="11:30A"
            >
            </nv-list-item>
          </nv-list-group>
  
          <nv-list-group>
            <nv-list-header>Yesterday</nv-list-header>
            <nv-list-item
              first-name="Marcelo"
              last-name="Martins"
              text-subject="Re: The new Nuiverse version"
              text-message="Check this suggestion, this is a greate feature for next Nuiverse version."
              text-stamp="Yesterday"
            >
            </nv-list-item>
            <nv-list-item
              first-name="Marcelo"
              last-name="Martins"
              text-subject="Re: The new Nuiverse version"
              text-message="Check this suggestion, this is a greate feature for next Nuiverse version."
              text-stamp="Yesterday"
            >
            </nv-list-item>
          </nv-list-group>
  
          <nv-list-group>
            <nv-list-header>This week</nv-list-header>
            <nv-list-item
              first-name="Marcelo"
              last-name="Martins"
              text-subject="Re: The new Nuiverse version"
              text-message="Check this suggestion, this is a greate feature for next Nuiverse version."
              text-stamp="Wed"
            >
            </nv-list-item>
            <nv-list-item
              first-name="Marcelo"
              last-name="Martins"
              text-subject="Re: The new Nuiverse version"
              text-message="Check this suggestion, this is a greate feature for next Nuiverse version."
              text-stamp="Tue"
            >
            </nv-list-item>
          </nv-list-group>
        </nv-list>

      </div>


      <div class="area-component">
        <h3>Details list</h3>
        <nv-list details>
          <nv-list-column slot="header">First name</nv-list-column>
          <nv-list-column slot="header">Last name</nv-list-column>
          <nv-list-column slot="header" auto-size>Age</nv-list-column>
          <nv-list-column slot="header">Email</nv-list-column>
          <nv-list-row>
            <nv-list-column>Patrick</nv-list-column>
            <nv-list-column>Lima</nv-list-column>
            <nv-list-column>25</nv-list-column>
            <nv-list-column>p@p.com</nv-list-column>
          </nv-list-row>
          <nv-list-row>
            <nv-list-column>Marcelo</nv-list-column>
            <nv-list-column>Martins</nv-list-column>
            <nv-list-column>33</nv-list-column>
            <nv-list-column>m@m.com</nv-list-column>
          </nv-list-row>
        </nv-list>
      </div>
  </div>
</body>
</html>
 